1. Guest, as per the stickied thread, this forum has not been in use since 2014. All bugs and feature requests should be posted to JIRA.

Featherboard error

Discussion in 'Bugs & Feature Requests' started by Sookus, Mar 31, 2021.

  1. hello I bought featherboard a while ago and it was working fine until i got this

    Error occurred while enabling FeatherBoard v4.30.0 (Is it up to date?)
    java.lang.ExceptionInInitializerError: null
    at be.maximvdw.featherboard.FeatherBoard.a(FeatherBoard.java:79) ~[?:?]
    at be.maximvdw.featherboard.dA.k(dA.java:22) ~[?:?]
    at be.maximvdw.featherboard.dA.onEnable(dA.java:76) ~[?:?]
    at be.maximvdw.featherboard.FeatherBoard.onEnable(FeatherBoard.java:80) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:263) ~[spigot-1.16.5.jar:3029-Spigot-79d53c2-e9ad7cb]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:351) ~[spigot-1.16.5.jar:3029-Spigot-79d53c2-e9ad7cb]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:480) ~[spigot-1.16.5.jar:3029-Spigot-79d53c2-e9ad7cb]
    at org.bukkit.craftbukkit.v1_16_R3.CraftServer.enablePlugin(CraftServer.java:493) ~[spigot-1.16.5.jar:3029-Spigot-79d53c2-e9ad7cb]
    at org.bukkit.craftbukkit.v1_16_R3.CraftServer.enablePlugins(CraftServer.java:407) ~[spigot-1.16.5.jar:3029-Spigot-79d53c2-e9ad7cb]
    at net.minecraft.server.v1_16_R3.MinecraftServer.loadWorld(MinecraftServer.java:544) ~[spigot-1.16.5.jar:3029-Spigot-79d53c2-e9ad7cb]
    at net.minecraft.server.v1_16_R3.DedicatedServer.init(DedicatedServer.java:257) ~[spigot-1.16.5.jar:3029-Spigot-79d53c2-e9ad7cb]
    at net.minecraft.server.v1_16_R3.MinecraftServer.w(MinecraftServer.java:918) ~[spigot-1.16.5.jar:3029-Spigot-79d53c2-e9ad7cb]
    at net.minecraft.server.v1_16_R3.MinecraftServer.lambda$0(MinecraftServer.java:273) ~[spigot-1.16.5.jar:3029-Spigot-79d53c2-e9ad7cb]
    at java.lang.Thread.run(Thread.java:831) [?:?]
    Caused by: java.lang.reflect.InaccessibleObjectException: Unable to make protected void java.net.URLClassLoader.addURL(java.net.URL) accessible: module java.base does not "opens java.net" to unnamed module @64c8ebb6
    at java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:357) ~[?:?]
    at java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:297) ~[?:?]
    at java.lang.reflect.Method.checkCanSetAccessible(Method.java:199) ~[?:?]
    at java.lang.reflect.Method.setAccessible(Method.java:193) ~[?:?]
    at be.maximvdw.featherboard.j.<clinit>(j.java:21) ~[?:?]

    I've deleted and reinstalled I have the Placeholderapi and I even bought it a 2nd time and I have no clue what to do.
     
  2. You need to use Java 8. I want to use Java 16 and i have the same problem, i'mt trying to fix.

    EDIT:
    Try this: https://stackoverflow.com/questions...n-unable-to-make-member-accessible-m/41265267